import { RankedMenu } from '@jupyterlab/ui-components';
import { IMutableAI } from './tokens';
export declare class MutableAIManager implements IMutableAI {
    constructor(options: IMutableAI.IOptions);
    enable(): void;
    disable(): void;
    private pollingCallback;
    private handleLunchToProductionCall;
    private onLunchToProduction;
    private handleDocToProductionCall;
    private onRefactorToProduction;
    private handleRefactorToProductionCall;
    private onDocToProduction;
    private handleCustomCommandCall;
    private onCustomCommand;
    private createContextMenu;
    private initializePlugin;
    private dispose;
    /**
     * A promise that resolves when the settings have been loaded.
     */
    get ready(): Promise<void>;
    /**
     * Mutable AI manager change extension according to settings.
     */
    private _mutableAISettingsChanged;
    mutableAiMainMenu: RankedMenu | null;
    private _factory;
    private _contextMenu;
    private _processFilePointer;
    private _commands;
    private _ready;
    private _translator;
    private _mainMenu;
    private _mutableAI;
    private _toolbarManager;
    private _forwardRef;
    private _docRef;
    private _customRef;
    private _refactorRef;
    private _transformPollingManager;
}
