import { IMainMenu } from '@jupyterlab/mainmenu';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
import { ITranslator } from '@jupyterlab/translation';
import { ContextMenuSvg } from '@jupyterlab/ui-components';
import { CommandRegistry } from '@lumino/commands';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { IFileBrowserFactory } from '@jupyterlab/filebrowser';
import { Token } from '@lumino/coreutils';
import { TransformPollingManager } from './transformPollingManager';
export declare const PLUGIN_ID: string;
export declare const IMutableAI: Token<IMutableAI>;
export interface IMutableAI {
    enable: () => void;
    disable: () => void;
}
export declare namespace IMutableAI {
    /**
     * MutableAI constructor options
     */
    interface IOptions {
        translator?: ITranslator;
        mainMenu: IMainMenu;
        commands: CommandRegistry;
        contextMenu: ContextMenuSvg;
        factory: IFileBrowserFactory;
        docRegistry: DocumentRegistry;
        /**
         * Extension settings getter
         */
        getSettings: () => Promise<ISettingRegistry.ISettings>;
        transformPollingManager: TransformPollingManager;
    }
}
